Loading...
Searching...
No Matches
differentiablefunction.hh File Reference
`#include <type_traits>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/functions/common/type_traits.hh>`
`#include <dune/functions/common/defaultderivativetraits.hh>`
`#include <dune/functions/common/differentiablefunction_imp.hh>`
`#include <dune/functions/common/signature.hh>`
`#include <dune/functions/common/typeerasure.hh>`
`#include <dune/functions/common/functionconcepts.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::DifferentiableFunction< Signature, DerivativeTraits, bufferSize >
class | Dune::Functions::DifferentiableFunction< Range(Domain), DerivativeTraits, bufferSize >
| Class storing differentiable functions using type erasure. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions